# Uses of Class
org.eclipse.e4.ui.model.application.ui.basic.impl.BasicPackageImpl

Packages that use BasicPackageImpl
Package
Description
org.eclipse.e4.ui.model.application.ui.basic.impl
org.eclipse.e4.ui.model.application.ui.basic.util

## Uses of BasicPackageImpl in org.eclipse.e4.ui.model.application.ui.basic.impl

Fields in org.eclipse.e4.ui.model.application.ui.basic.impl declared as BasicPackageImpl
Modifier and Type
Field
Description
`static final BasicPackageImpl`
BasicPackageImpl.`eINSTANCE`
The singleton instance of the package.
Methods in org.eclipse.e4.ui.model.application.ui.basic.impl that return BasicPackageImpl
Modifier and Type
Method
Description
`BasicPackageImpl`
BasicFactoryImpl.`getBasicPackage()`
`static BasicPackageImpl`
BasicPackageImpl.`init()`
Creates, registers, and initializes the Package for this model, and for any others upon which it depends.

## Uses of BasicPackageImpl in org.eclipse.e4.ui.model.application.ui.basic.util

Fields in org.eclipse.e4.ui.model.application.ui.basic.util declared as BasicPackageImpl
Modifier and Type
Field
Description
`protected static BasicPackageImpl`
BasicAdapterFactory.`modelPackage`
The cached model package.
`protected static BasicPackageImpl`
BasicSwitch.`modelPackage`
The cached model package